# Blocking vs Non-blocking file I/O

Blocking code is available in [blockin.rs](./src/blocking.rs) and
non-blocking in [async-tokio.rs](./src/async-tokio.rs). 

Both programs read their respective source files and print it to
stdout.

## Usage
A simple Makefile is provided for convenience:

```bash
➜  rust-async git:(master) ✗ make help
async                          Runs non-blocking program
blocking                       Runs blocking program
help                           Prints help for targets with comments
```
